Skip to main content
POST
/
kyb
/
forms
Create new KYB form
curl --request POST \
  --url https://ivs.idenfy.com/kyb/forms/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company": {
    "companyName": "<string>",
    "country": "AF",
    "registrationNumber": "<string>",
    "region": "<string>",
    "type": "<string>",
    "phone": "<string>",
    "website": "<string>",
    "email": "jsmith@example.com",
    "brandNames": [],
    "activityCode": "<string>",
    "tin": "<string>",
    "operatingAddress": "<string>",
    "postalAddress": "<string>",
    "postcode": "<string>",
    "street": "<string>",
    "city": "<string>",
    "additionalInfo": {}
  },
  "documents": [
    {
      "type": "INCORPORATION_CERT",
      "file": "aSDinaTvuI8gbWludGxpZnk=",
      "filename": "<string>"
    }
  ],
  "beneficiaries": [
    {
      "info": {
        "infoType": "INDIVIDUAL",
        "name": "<string>",
        "surname": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>",
        "dateOfBirth": "2023-12-25",
        "country": "AF",
        "nationality": "AF",
        "documentNumber": "<string>",
        "personalNumber": "<string>",
        "citizenship": "AF",
        "countryOfBirth": "AF",
        "residentialAddress": "<string>",
        "countryOfResidence": "AF",
        "postcode": "<string>",
        "address": "<string>",
        "street": "<string>",
        "city": "<string>",
        "tin": "<string>",
        "taxResidence": "AF",
        "selfDeclaredPep": true,
        "additionalInfo": {}
      },
      "beneficiaryType": "CEO",
      "beneficiaryTypes": [
        "CEO"
      ],
      "positions": [],
      "formFiller": true,
      "ownershipPercentage": 50
    }
  ],
  "clientSystem": {
    "ipAddress": "<string>",
    "timeZone": "<string>"
  }
}
'
{
  "id": "<string>",
  "company": {
    "companyName": "<string>",
    "country": "AF",
    "registrationNumber": "<string>",
    "region": "<string>",
    "type": "<string>",
    "phone": "<string>",
    "website": "<string>",
    "email": "jsmith@example.com",
    "brandNames": [],
    "activityCode": "<string>",
    "tin": "<string>",
    "operatingAddress": "<string>",
    "postalAddress": "<string>",
    "postcode": "<string>",
    "street": "<string>",
    "city": "<string>",
    "additionalInfo": {}
  },
  "meta": {
    "status": "PENDING",
    "approvalStatus": "APPROVED",
    "submissionTime": "2023-11-07T05:31:56Z",
    "soleProprietor": true
  },
  "documents": [
    {
      "id": "<string>",
      "type": "INCORPORATION_CERT",
      "file": "<string>",
      "filename": "<string>"
    }
  ],
  "beneficiaries": [
    {
      "id": "<string>",
      "info": {
        "infoType": "INDIVIDUAL",
        "name": "<string>",
        "surname": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>",
        "dateOfBirth": "2023-12-25",
        "country": "AF",
        "nationality": "AF",
        "documentNumber": "<string>",
        "personalNumber": "<string>",
        "citizenship": "AF",
        "countryOfBirth": "AF",
        "residentialAddress": "<string>",
        "countryOfResidence": "AF",
        "postcode": "<string>",
        "address": "<string>",
        "street": "<string>",
        "city": "<string>",
        "tin": "<string>",
        "taxResidence": "AF",
        "selfDeclaredPep": true,
        "additionalInfo": {}
      },
      "parent": "<string>",
      "beneficiaryType": "CEO",
      "beneficiaryTypes": [
        "CEO"
      ],
      "positions": [],
      "formFiller": true,
      "ownershipPercentage": 50
    }
  ],
  "clientSystem": {
    "ipAddress": "<string>",
    "timeZone": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.

Body

application/json
company
object
required
documents
object[]
beneficiaries
object[]
clientSystem
object

Response

201 - application/json
id
string
required
read-only
company
object
required
meta
object
required
documents
object[]
beneficiaries
object[]
clientSystem
object